### Method

# AppStream Screenshot get_environment

#### Declaration [src]

    const gchar*
    as_screenshot_get_environment (
      AsScreenshot* screenshot
    )

#### Description [src]

Get the GUI environment ID of this screenshot, if any is associated with it. E.g. “plasma-mobile” or “gnome:dark”.

#### Return value

Type: `const gchar*`

The GUI environment ID the screenshot was recorded in, or `NULL` if none set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.